#!/usr/bin/perl -w
my $name = shift or die "usage: $0 <player name>\n";
use DBI;
use strict;
my $found;

my $dbh = DBI->connect("dbi:SQLite:dbname=players.db") or die;
my $sth = $dbh->prepare("select time,action from log where name=? order by time desc limit 1");
$sth->execute($name);
while(my @data = $sth->fetchrow_array()) {
   my $status = ($data[1] == 1) ? "online" : "offline";
   print "$name last seen on " . localtime($data[0]) . " and appears to be $status\n";
   $found++;
}

print "Player $name not found. Did you know this is case sensitive?\n" unless $found;
