#!/usr/bin/perl -w
# See all of a players login/logout times
my $name = shift or die "usage: $0 <player name>\n";
use DBI;
use strict;
my $found;

my $dbh = DBI->connect("dbi:SQLite:dbname=players.db") or die;
my $sth = $dbh->prepare("select time,action from log where name=? order by time desc");
$sth->execute($name);
while(my @data = $sth->fetchrow_array()) {
  my $status;
  $status = "logout" if $data[1] == 0;
  $status = "login" if $data[1] == 1;
  $status = "reset" if $data[1] == 3; # Logger was cleanly shut down; activity=3 all logged-in users
  print "$name $status " . localtime($data[0]) . "\n";
  $found++;
}

print "Player $name not found. Did you know this is case sensitive?\n" unless $found;
